Get quote
curl --request GET \
--url https://cloud.memsource.com/web/api2/v3/quotes/{quoteUid} \
--header 'Authorization: <api-key>'import requests
url = "https://cloud.memsource.com/web/api2/v3/quotes/{quoteUid}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://cloud.memsource.com/web/api2/v3/quotes/{quoteUid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://cloud.memsource.com/web/api2/v3/quotes/{quoteUid}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://cloud.memsource.com/web/api2/v3/quotes/{quoteUid}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://cloud.memsource.com/web/api2/v3/quotes/{quoteUid}")
.header("Authorization", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://cloud.memsource.com/web/api2/v3/quotes/{quoteUid}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"analyse": {
"analyseLanguageParts": [
{
"id": "<string>",
"jobs": [
{
"filename": "<string>",
"innerId": "<string>",
"jobUid": "<string>",
"uid": "<string>"
}
],
"sourceLang": "<string>",
"targetLang": "<string>"
}
],
"createdBy": {
"email": "<string>",
"firstName": "<string>",
"id": "<string>",
"lastName": "<string>",
"role": "SYS_ADMIN",
"uid": "<string>",
"userName": "<string>"
},
"dateCreated": "2023-11-07T05:31:56Z",
"id": "<string>",
"importStatus": {
"errorMessage": "<string>",
"status": "RUNNING"
},
"innerId": "<string>",
"name": "<string>",
"netRateScheme": {
"createdBy": {
"email": "<string>",
"firstName": "<string>",
"id": "<string>",
"lastName": "<string>",
"role": "SYS_ADMIN",
"uid": "<string>",
"userName": "<string>"
},
"dateCreated": "2023-11-07T05:31:56Z",
"id": "<string>",
"isDefault": true,
"name": "<string>",
"uid": "<string>"
},
"outdated": true,
"provider": {
"type": "<string>",
"id": "<string>",
"uid": "<string>"
},
"pureWarnings": [
"<string>"
],
"type": "PreAnalyse",
"uid": "<string>"
},
"billingUnit": "Character",
"createdBy": {
"email": "<string>",
"firstName": "<string>",
"id": "<string>",
"lastName": "<string>",
"role": "SYS_ADMIN",
"uid": "<string>",
"userName": "<string>"
},
"currency": "<string>",
"customerEmail": "<string>",
"dateCreated": "2023-11-07T05:31:56Z",
"editable": true,
"id": 123,
"name": "<string>",
"netRateScheme": {
"createdBy": {
"email": "<string>",
"firstName": "<string>",
"id": "<string>",
"lastName": "<string>",
"role": "SYS_ADMIN",
"uid": "<string>",
"userName": "<string>"
},
"dateCreated": "2023-11-07T05:31:56Z",
"id": "<string>",
"isDefault": true,
"name": "<string>",
"uid": "<string>"
},
"outdated": true,
"partData": [
{
"additionalWorkflowStepData": [
{
"hours": 123,
"id": "<string>",
"name": "<string>",
"targetLang": "<string>",
"unitPrice": 123
}
],
"minimumPrice": 123,
"netUnits": 123,
"priceAllWf": 123,
"quoteJobRowData": [
{
"jobUid": "<string>",
"netUnits": 123,
"title": "<string>",
"total": 123,
"units": 123,
"workflowStepData": [
{
"netUnits": 123,
"price": 123,
"wfStepUid": "<string>"
}
]
}
],
"quotePartUid": "<string>",
"sourceLang": "<string>",
"targetLang": "<string>",
"unitPrice": 123,
"units": 123,
"unitsAllAdditionalWf": 123,
"unitsAllWf": 123
}
],
"priceList": {
"id": "<string>",
"name": "<string>",
"uid": "<string>"
},
"provider": {
"type": "<string>",
"id": "<string>",
"uid": "<string>"
},
"quoteType": "BUYER",
"status": "APPROVED",
"totalPrice": 123,
"uid": "<string>",
"workflowStepList": [
{
"id": "<string>",
"lqaEnabled": true,
"name": "<string>",
"order": 123,
"uid": "<string>"
}
]
}Quote
Get quote
The response does not include the project the quote belongs to, but project.uid is required when editing a quote.
GET
/
api2
/
v3
/
quotes
/
{quoteUid}
Get quote
curl --request GET \
--url https://cloud.memsource.com/web/api2/v3/quotes/{quoteUid} \
--header 'Authorization: <api-key>'import requests
url = "https://cloud.memsource.com/web/api2/v3/quotes/{quoteUid}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://cloud.memsource.com/web/api2/v3/quotes/{quoteUid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://cloud.memsource.com/web/api2/v3/quotes/{quoteUid}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://cloud.memsource.com/web/api2/v3/quotes/{quoteUid}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://cloud.memsource.com/web/api2/v3/quotes/{quoteUid}")
.header("Authorization", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://cloud.memsource.com/web/api2/v3/quotes/{quoteUid}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"analyse": {
"analyseLanguageParts": [
{
"id": "<string>",
"jobs": [
{
"filename": "<string>",
"innerId": "<string>",
"jobUid": "<string>",
"uid": "<string>"
}
],
"sourceLang": "<string>",
"targetLang": "<string>"
}
],
"createdBy": {
"email": "<string>",
"firstName": "<string>",
"id": "<string>",
"lastName": "<string>",
"role": "SYS_ADMIN",
"uid": "<string>",
"userName": "<string>"
},
"dateCreated": "2023-11-07T05:31:56Z",
"id": "<string>",
"importStatus": {
"errorMessage": "<string>",
"status": "RUNNING"
},
"innerId": "<string>",
"name": "<string>",
"netRateScheme": {
"createdBy": {
"email": "<string>",
"firstName": "<string>",
"id": "<string>",
"lastName": "<string>",
"role": "SYS_ADMIN",
"uid": "<string>",
"userName": "<string>"
},
"dateCreated": "2023-11-07T05:31:56Z",
"id": "<string>",
"isDefault": true,
"name": "<string>",
"uid": "<string>"
},
"outdated": true,
"provider": {
"type": "<string>",
"id": "<string>",
"uid": "<string>"
},
"pureWarnings": [
"<string>"
],
"type": "PreAnalyse",
"uid": "<string>"
},
"billingUnit": "Character",
"createdBy": {
"email": "<string>",
"firstName": "<string>",
"id": "<string>",
"lastName": "<string>",
"role": "SYS_ADMIN",
"uid": "<string>",
"userName": "<string>"
},
"currency": "<string>",
"customerEmail": "<string>",
"dateCreated": "2023-11-07T05:31:56Z",
"editable": true,
"id": 123,
"name": "<string>",
"netRateScheme": {
"createdBy": {
"email": "<string>",
"firstName": "<string>",
"id": "<string>",
"lastName": "<string>",
"role": "SYS_ADMIN",
"uid": "<string>",
"userName": "<string>"
},
"dateCreated": "2023-11-07T05:31:56Z",
"id": "<string>",
"isDefault": true,
"name": "<string>",
"uid": "<string>"
},
"outdated": true,
"partData": [
{
"additionalWorkflowStepData": [
{
"hours": 123,
"id": "<string>",
"name": "<string>",
"targetLang": "<string>",
"unitPrice": 123
}
],
"minimumPrice": 123,
"netUnits": 123,
"priceAllWf": 123,
"quoteJobRowData": [
{
"jobUid": "<string>",
"netUnits": 123,
"title": "<string>",
"total": 123,
"units": 123,
"workflowStepData": [
{
"netUnits": 123,
"price": 123,
"wfStepUid": "<string>"
}
]
}
],
"quotePartUid": "<string>",
"sourceLang": "<string>",
"targetLang": "<string>",
"unitPrice": 123,
"units": 123,
"unitsAllAdditionalWf": 123,
"unitsAllWf": 123
}
],
"priceList": {
"id": "<string>",
"name": "<string>",
"uid": "<string>"
},
"provider": {
"type": "<string>",
"id": "<string>",
"uid": "<string>"
},
"quoteType": "BUYER",
"status": "APPROVED",
"totalPrice": 123,
"uid": "<string>",
"workflowStepList": [
{
"id": "<string>",
"lqaEnabled": true,
"name": "<string>",
"order": 123,
"uid": "<string>"
}
]
}Authorizations
ApiTokenOAuth2
Get a token from auth/login endpoint and then pass it in the Authorization HTTP header in every subsequent API call. For more information visit our help center.
Path Parameters
UID of the quote
Response
OK
Show child attributes
Show child attributes
Available options:
Character, Word, Page, Hour Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Available options:
BUYER, PROVIDER Available options:
APPROVED, DECLINED, DRAFT, FOR_APPROVAL, NEW Show child attributes
Show child attributes
Was this page helpful?